<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Admin | User Management</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!--Bootstrap-->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <!--Bootstrap DataTable-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">User</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Admin</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Huy Trần Quang</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6 text-bold">
            <h1>Quản lý người dùng - User Management</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">User Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="form-group d-flex">
        <button class="btn btn-success" id="btn-them-user"><i class="fa fa-plus"></i>&nbsp; Thêm user</button>
      </div>
      
      <!-- Vùng Table -->
      <table id="user-table" class="table table-bordered table-striped table-hover">
        <thead>
          <tr>
            <th>STT</th>
            <th>Full Name</th>
            <th>Phone</th>
            <th>Status</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
  
        </tbody>
      </table>
    <!-- Vùng Modal -->

  <!-- Create user modal -->
  <div>
    <div id="create-user-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Create new user</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Status</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="select-status">
                        <option value="Level 0">Level 0</option>
                        <option value="Level 1">Level 1</option>
                        <option value="Level 2">Level 2</option>
                        <option value="Level 3">Level 3</option>
                        
                    </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Họ và tên</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-full-name" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Số điện thoại</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-phone" placeholder="0909808021 số nhập đúng nhập chữ hoặc sai sẽ crash save nhập đúng thì chạy được, chưa biết cách validate vào "
                    class="form-control">
                </div>
              </div>
                
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-create-user">Create User</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Update user modal -->
  <div>
    <div id="update-user-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Update existing user</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Họ và tên</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-full-name" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Số điện thoại</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-phone" placeholder="0909808021 số nhập đúng nhập chữ hoặc sai sẽ crash save nhập đúng thì chạy được, chưa biết cách validate vào "
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Status</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="selected-status">
                        <option value="Level 0">Level 0</option>
                        <option value="Level 1">Level 1</option>
                        <option value="Level 2">Level 2</option>
                        <option value="Level 3">Level 3</option>
                    </select>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-update-user">Update User</button>
          </div>
        </div>
      </div>
    </div>
  </div>
   <!-- Delete confirm modal -->
   <div>
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Delete User Confirmation</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Bạn có chắc chắn muốn xóa user này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-user">Confirm</button>
            <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
  </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b>  1.0
    </div>
    <strong>Copyright &copy; 2023 <a href="https://adminlte.io">Huy</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

<script>
$(document).ready(function () {
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8000/api/v1/user";
    const gCONTENT_TYPE = "application/json;charset=UTF-8";
    // Biến mảng hằng số chứa danh sách tên các thuộc tính
    const gUSER_COLS = [
      "stt", 
      "fullName", 
      "phone",  
      "status",  
      "_id"
    ];
    // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
    const gSTT_USER_COL = 0;
    const gUSER_FULLNAME_COL = 1;
    const gUSER_PHONE_COL = 2;
    const gUSER_STATUS_COL = 3;
    const gUSER_ACTION_COL = 4;

    // Biến toàn cục để hiển lưu STT
    var gSTT = 1;
    // Khai báo DataTable & mapping collumns
    var gUserTable = $("#user-table").DataTable({
      columns: [
        { data: gUSER_COLS[gSTT_USER_COL] },
        { data: gUSER_COLS[gUSER_FULLNAME_COL] },
        { data: gUSER_COLS[gUSER_PHONE_COL] },
        { data: gUSER_COLS[gUSER_STATUS_COL] },
        { data: gUSER_COLS[gUSER_ACTION_COL] },
      ],
      columnDefs: [
        { // định nghĩa lại cột STT
          targets: gSTT_USER_COL,
          render: function () {
            return gSTT++;
          }
        },

        { // định nghĩa lại cột action
          targets: gUSER_ACTION_COL,
          render: function (paramData) {
            return `
              <img class="edit-user" data-id=${paramData} src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
              <img class="delete-user" data-id=${paramData} src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">
            `
          }
        }
      ]
    });
    // Biến toàn cục để lưu các mảng giá trị
    var gUserArray = [];
    // Biến toàn cục để lưu id user
    var gUserId = 0;
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // thực hiện tải trang
    onPageLoading();
    // 2 - C: gán sự kiện Create - Thêm mới user
    $("#btn-them-user").on("click", function () {
      onBtnAddNewUserClick();
    });
     // 3 - U: gán sự kiện Update - Sửa 1 user
     $("#user-table").on("click", ".edit-user", function () {
      onBtnEditUserClick(this);
    });
    // 4 - D: gán sự kiện delete - Xóa 1 user
    $("#user-table").on("click", ".delete-user", function () {
      onBtnDeleteUserClick(this);
    });

    //phần modal
    // gán sự kiện cho nút Create User (trên modal)
    $("#btn-create-user").on("click", function () {
      onBtnCreateUserClick();
    });
    // gán sự kiện cho nút Update User (trên modal)
    $("#btn-update-user").on("click", function () {
      onBtnUpdateUserClick();
    });
    // Gán sự kiện cho nút Confirm Delete user (trên modal)
    $("#btn-confirm-delete-user").on("click", function () {
      onBtnConfirmDeleteUserClick();
    });
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      //Read / Load User to DataTable
      getAllUser();
    }
    // Hàm xử lý sự kiện khi nút Thêm mới đc click
    function onBtnAddNewUserClick() {
      // hiển thị modal trắng lên
      $("#create-user-modal").modal("show");
    }
   
    // hàm xử lý sự kiện create user button modal click
    function onBtnCreateUserClick() {
      // đối tượng user sẽ được tạo mới
      var vUserObject = {
            // Trường status có giá trị thuộc danh sách sau: "Level 0" || "Level 1" || "Level 2 " || "Level 3"  
            fullName: "",
            phone: "",
            status: "",
        };
      // B1: Thu thập dữ liệu
      getCreateUserData(vUserObject);
      console.log(vUserObject);
      // B2: Validate insert
      var vIsUserValidate = validateUserData(vUserObject);
      if (vIsUserValidate) {
        // B3: insert user
        $.ajax({
          url: gBASE_URL ,
          type: "POST",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vUserObject),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleInsertUserSuccess()
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }
    function onBtnEditUserClick(paramBtnEdit) {
      // lưu thông tin userID đang được edit vào biến toàn cục
      gUserId = $(paramBtnEdit).data("id");
      console.log(gUserId);
      $("#update-user-modal").modal("show");
      // load dữ liệu vào các trường dữ liệu trong modal
      getUserByIdAndLoadToUpdateModal(gUserId);
    }
    function onBtnDeleteUserClick(paramBtnDelete){
      //lưu thông tin userId đang được xóa vào biến
      gUserId = $(paramBtnDelete).data("id");
      console.log(gUserId);
      $("#delete-confirm-modal").modal("show");
    }
    // hàm xử lý sự kiện update user modal click
    function onBtnUpdateUserClick() {
      // đối tượng user sẽ được tạo mới
      var vUserObject = {
            // Trường status có giá trị thuộc danh sách sau: "Level 0" || "Level 1" || "Level 2 " || "Level 3"  
            fullName: "",
            phone: "",
            status: "",
        };
      // B1: Thu thập dữ liệu
      getUpdateUserData(vUserObject);
      console.log(vUserObject);
      // B2: Validate update
      var vIsUserValidate = validateUserData(vUserObject);
      if (vIsUserValidate) {
        // B3: update user
        $.ajax({
          url: gBASE_URL + "/" + gUserId,
          type: "PUT",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vUserObject),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleUpdateUserSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }
    // hàm xử lý sự kiện delete user modal click
    function onBtnConfirmDeleteUserClick(){
      "use strict";
      $.ajax({
          url: gBASE_URL + "/" + gUserId,
          type: "DELETE",       
          success: function (paramRes) {
            // B4: xử lý front-end
            handleDeleteUserSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm gọi api để lấy all danh sách user
    function getAllUser() {
      $.ajax({
        url: gBASE_URL ,
        type: "GET",
        success: function (paramUser) {
          gUserArray = paramUser;
          console.log(gUserArray);
          loadDataToUserTable(gUserArray.data); //dữ liệu trong collection data 
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    /** load user array to DataTable */
    function loadDataToUserTable(paramUserArray) {
      gSTT = 1;
      gUserTable.clear();
      gUserTable.rows.add(paramUserArray);
      gUserTable.draw();
    }
    // hàm thu thập dữ liệu để create user
    function getCreateUserData(paramUserObj) {
      paramUserObj.status = $("#select-status").val();
      paramUserObj.fullName = $("#inp-full-name").val().trim();
      paramUserObj.phone = $("#inp-phone").val().trim();
    }
    // hàm validate data
    function validateUserData(paramUserObj) {
      if (paramUserObj.fullName == "") {
        alert("Họ và tên cần nhập");
        return false;
      }
      if (paramUserObj.phone == "") {
        alert("số điện thoại cần nhập");
        return false;
      }
      if (validatePhoneNumber(paramUserObj.phone) == false) {
        alert("Số điện thoại sai định dạng!");
        return false;
      }
      if (paramUserObj.status == "") {
        alert("loại status cần chọn");
        return false;
      }
      return true;
    }
    // hàm xử lý hiển thị front-end khi thêm user thành công
    function handleInsertUserSuccess() {
      alert("Thêm user thành công!");
      getAllUser();
      resertCreateUserForm();
      $("#create-user-modal").modal("hide");
    }
    // hàm xóa trắng form create user
    function resertCreateUserForm() {
      $("#select-status").val();
      $("#inp-full-name").val();
      $("#inp-phone").val();
    }
    // hàm gọi api để lấy user by id
    function getUserByIdAndLoadToUpdateModal(paramUserId){
      $.ajax({
        url: gBASE_URL + "/" + paramUserId,
        type: "GET",
        success: function (paramUsers) {
          console.log(paramUsers);
          loadDataToUpdateModal(paramUsers);
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    // hàm show user obj lên modal
   function loadDataToUpdateModal(paramUsers) {
      
      $("#input-full-name").val(paramUsers.data.fullName);
      $("#input-phone").val(paramUsers.data.phone);
      $("#selected-status").val(paramUsers.data.status);
    }
    
    // hàm thu thập dữ liệu để update user
    function getUpdateUserData(paramUserObj) {
      paramUserObj.fullName = $("#input-full-name").val().trim();
      paramUserObj.phone = $("#input-phone").val();
      paramUserObj.status = $("#selected-status").val();
    }
    // hàm xử lý hiển thị front-end khi sửa user thành công
    function handleUpdateUserSuccess() {
      alert("Sửa user thành công!");
      getAllUser();
      resertUpdateUserForm();
      $("#update-user-modal").modal("hide");
    }
    // hàm xóa trắng form update user
    function resertUpdateUserForm() {
      $("#input-full-name").val();
      $("#input-phone").val();
      $("#selected-status").val();
    }
    function handleDeleteUserSuccess(){
      // Hàm xử lý hiển thị front-end khi xóa user thành công
      alert("Xóa user thành công!");
      getAllUser();    
      $("#delete-confirm-modal").modal("hide");
    }
    function validatePhoneNumber(paramPhoneNumber) {
      var vRegexPhoneNumber = /(((\+|)84)|0)(3|5|7|8|9)+([0-9]{8})\b/;
      var vResult = false;
      if (paramPhoneNumber.match(vRegexPhoneNumber)) {
        vResult = true;
      }
      return vResult;
    }
});  
</script>
</body>
</html>
